package com.lz.modules.app.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.lz.common.utils.PageUtils;
import com.lz.modules.app.dto.StaffOccupationInfoDto;
import com.lz.modules.app.entity.StaffOccupationEntity;
import com.lz.modules.job.model.responseBo.DepartmentStaffBo;
import com.lz.modules.performance.dto.StaffTypeDto;

import java.util.List;
import java.util.Map;

/**
 * 员工职业信息表
 *
 * @author fumeiai
 * @email fumeiai@linzikg.com
 * @date 2020-04-29 20:59:20
 */
public interface StaffOccupationService extends IService<StaffOccupationEntity> {

    PageUtils queryPage(Map<String, Object> params);

    StaffOccupationEntity getStaffOccupationByStaffId(Long staffId);

    int updateStatusByStaffId(Long staffId, Integer status);

    int addStaffOccupationBatch(List<StaffOccupationEntity> staffs);

    StaffOccupationInfoDto getOccupationByStaffId(Long id);

    void updateAllOccupation();

    void updateStatusByStaff(Long staffId, DepartmentStaffBo departmentStaffBo);

    List<String> removeDimissionStaffByStaffIds(List<String> staffIds);

    List<StaffOccupationEntity> selectAll();

    List<StaffTypeDto> selectStaffTypesByStaffIds(List<Long> staffIds);

}

